<?php
/**
 * MARIE Theme functions and definitions
 *
 * @package marie
 */

/**
 * Required Files.
 */
require get_template_directory() . '/inc/enqueue.php';
require get_template_directory() . '/inc/theme-support.php';
require get_template_directory() . '/inc/template-tags.php';
require get_template_directory() . '/inc/template-functions.php';
require get_template_directory() . '/inc/marie-widgets.php';
require get_template_directory() . '/inc/marie-breadcrumbs.php';
require get_template_directory() . '/inc/marie-page-header-title.php';

/**
 * Recommend Plugins.
 */
require_once get_template_directory() . '/inc/plugins/class-tgm-plugin-activation.php';
require_once get_template_directory() . '/inc/plugins/tgm-plugin-activation.php';

/**
 * Required Files for Theme Customizer.
 */
require get_template_directory() . '/inc/customizer/heroine-section.php';
require get_template_directory() . '/inc/customizer/widget-section-one.php';
require get_template_directory() . '/inc/customizer/widget-section-two.php';
require get_template_directory() . '/inc/customizer/widget-section-three.php';


/**
 * Required Files - Handle svgs.
 */
require get_template_directory() . '/inc/classes/class-marie-svg-icons.php';
require get_template_directory() . '/inc/svg-icons.php';

/**
 * Required by WordPress: Threaded comment reply styles..
 */
if ( is_singular() && comments_open() && get_option( 'thread_comments' ) ) {
	wp_enqueue_script( 'comment-reply' );
}

/**
 * WordPress requires this to be set.
 * Related to limiting image width in post content.
*/
if ( ! isset( $content_width ) ) {
	$content_width = 900;
}


/**
 * Check if an internal link exists. TODO - There has to be a better way of doing this. Move function out of here when it's fixed.
 *
 * @param string $url - preferably a fully qualified URL.
 * @return boolean - true if it is out there somewhere
 */
function marie_url_exists( $url ) {
	if ( ( '' === $url ) || ( null === $url ) || empty( $url ) ) {
		return false; }
	$response              = wp_remote_head( $url, array( 'timeout' => 5 ) );
	$accepted_status_codes = array( 200, 301, 302 );
	if ( ! is_wp_error( $response ) && in_array( wp_remote_retrieve_response_code( $response ), $accepted_status_codes, true ) ) {
			return true;
	}
	return false;
}
