<?php
/**
 * The Header Template
 *
 * @package marie
 */

?>

<!DOCTYPE html>
<html <?php language_attributes(); ?> itemscope itemtype="http://schema.org/WebPage" >

<head>
	<meta charset="<?php bloginfo( 'charset' ); ?>">
	<meta name="viewport" content="width=device-width, initial-scale=1.0">

	<?php if ( is_singular() && pings_open( get_queried_object() ) ) : ?>
	<link rel="pingback" href="<?php esc_url( bloginfo( 'pingback_url' ) ); ?>">
	</link>
	<?php endif; ?>

	<?php wp_head(); ?>
</head>

<body <?php body_class(); ?>>
<?php wp_body_open(); ?>
<?php get_template_part( 'template-parts/header/site-header' ); ?>

<main id="main"> 
	<?php

	if ( ! is_front_page() ) {
		marie_render_page_header();
	}

	// If not static front page, show the page header with the site title (for static frontpage, the page-front.php template will be used so no need for a page header).
	if ( is_front_page() && is_home() ) {
		marie_render_page_header( get_bloginfo( 'name' ) );
	}


	?>
