<?php
/**
 * Add Widget Section Two to Theme Customizer.
 *
 * CUSTOMIZER
 *
 *  @package marie
 */

/**
 * Require class.
 */
require_once __DIR__ . '/classes/class-marie-input.php';
require_once __DIR__ . '/classes/class-marie-color-picker.php';

/**
 * Create New section & define inputs for theme Customizer.
 *
 * @param \WP_Customize_Manager $wp_customize Customizer Manager.
 */
function marie_widget_section_two_input_fields( $wp_customize ) {

	$section = 'widget-section-two';
	$wp_customize->add_section(
		$section,
		array(
			'title'       => __( 'Widget Section Two', 'marie' ),
			'description' => __( 'Edit Widget Two Section.', 'marie' ),
		)
	);

	// Define text/checkbox Inputs.
	$input_args = array(
		array(
			'setting_id' => 'section_title',
			'field_type' => 'text',
			'label'      => __( 'Section Title', 'marie' ),
		),
		array(
			'setting_id' => 'section_p',
			'field_type' => 'textarea',
			'label'      => __( 'Section Text', 'marie' ),
		),
		array(
			'setting_id' => 'full_width',
			'field_type' => 'checkbox',
			'label'      => __( 'Full Width', 'marie' ),
		),
		array(
			'setting_id' => 'torn_section',
			'field_type' => 'checkbox',
			'label'      => __( 'Torn Effect', 'marie' ),
		),
		array(
			'setting_id' => 'show_section',
			'field_type' => 'checkbox',
			'label'      => __( 'Show Section', 'marie' ),
			'default'    => false,
		),

	);

	$color_picker_args = array(
		array(
			'setting_id'  => 'widget-section-two_background_color',
			'description' => __( 'Set the Widget Two section background color.', 'marie' ),
			'label'       => __( 'Background Color', 'marie' ),
			'default'     => '#ffffff',
		),
		array(
			'setting_id'  => 'widget-section-two_text_color',
			'description' => __( 'Set the Widget Two section text color.', 'marie' ),
			'label'       => __( 'Text Color', 'marie' ),
			'default'     => '#444242',
		),
	);
	foreach ( $input_args as $args ) {
		$input = new MARIE_Input( $section, $args );
		$input->register( $wp_customize );

	}

	foreach ( $color_picker_args as $args ) {
		$input = new MARIE_Color_Picker( $section, $args );
		$input->register( $wp_customize );

	}

}
add_action( 'customize_register', 'marie_widget_section_two_input_fields' );
