<?php
/**
 * Theme support functions
 *
 * @package marie
 */

/**
 * Nav Menu.
 */
function marie_register_nav_menu() {
	register_nav_menu( 'main-menu', __( 'Main Menu', 'marie' ) );
	register_nav_menu( 'footer-menu', __( 'Footer Menu', 'marie' ) );
	register_nav_menu( 'socials-header', __( 'Header Socials Menu', 'marie' ) );
	register_nav_menu( 'socials-footer', __( 'Footer Socials Menu', 'marie' ) );
}
add_action( 'after_setup_theme', 'marie_register_nav_menu' );


add_theme_support( 'post-thumbnails' );



/*
	* Required by WordPress:
	* Let WordPress manage the document title.
	* This theme does not use a hard-coded <title> tag in the document head,
	* WordPress will provide it for us.
	*/
add_theme_support( 'title-tag' );

add_theme_support( 'wp-block-styles' );

// Required by wp: Add default posts and comments RSS feed links to head.
add_theme_support( 'automatic-feed-links' );

/*
* Themes are required to use the ‘navigation-widgets’ option to add support for the HTML5 navigation widgets added in WordPress 5.5 to  provide landmark semantics for navigation widgets.

* @link https://make.wordpress.org/themes/handbook/review/accessibility/required/
*/
add_theme_support( 'html5', array( 'navigation-widgets' ) );

// Custom Logo. Let wp manage site logo in theme customizer.
$marie_logo_defaults = array(
	'height'               => 100,
	'width'                => 400,
	'flex-height'          => true,
	'flex-width'           => true,
	'header-text'          => array( 'site-title', 'site-description' ),
	'unlink-homepage-logo' => false,
);
add_theme_support( 'custom-logo', $marie_logo_defaults );
