<?php
/**
 * The searchform.php template.
 *
 * Used any time that get_search_form() is called.
 * Adapted from WordPress Twenty-Twenty Theme
 *
 * @package marie
 */

$marie_aria_label = ! empty( $args['aria_label'] ) ? 'aria-label="' . esc_attr( $args['aria_label'] ) . '"' : '';
// Backwards compatibility.
if ( empty( $marie_aria_label ) && ! empty( $args['label'] ) ) {
	$marie_aria_label = 'aria-label="' . esc_attr( $args['label'] ) . '"';
}
$marie_form_id = 'marie-search-form';
?>
<form role="search" <?php echo $marie_aria_label; // phpcs:ignore WordPress.Security.EscapeOutput.OutputNotEscaped -- Escaped above. ?> method="get" class="search-form marie-search-form" action="<?php echo esc_url( home_url( '/' ) ); ?>">
	<label for="<?php echo esc_attr( $marie_form_id ); ?>">
		<span class="screen-reader-text"><?php esc_html_e( 'Search for:', 'marie' ); ?></span>
		<input 
			type="search" 
			id="<?php echo esc_attr( $marie_form_id ); ?>" 
			class="search-field" 
			placeholder="<?php echo esc_attr_x( 'Search &hellip;', 'placeholder', 'marie' ); ?>" 
			value="<?php echo get_search_query(); ?>" 
			name="s" 
		/>
	</label>
	<input type="submit" class="marie-default-btn" value="<?php echo esc_attr_x( 'Search', 'submit button', 'marie' ); ?>" />
</form>
