/* eslint-disable computed-property-spacing */
import { navigationHandlers } from '../handlers';

const {
	handleToggleMobileMenu,
	handleCloseMobileNavOnAnchorLinkClicked,
} = navigationHandlers;

function mobileMenuToggle() {
	// 1. Handle click Burger Btn to toggle mobile menu.
	const burgerBtn = document.querySelector( '.marie-burger-btn' );
	if ( burgerBtn ) {
		burgerBtn.addEventListener( 'click', handleToggleMobileMenu );
	}

	// 2. Handle close menu when menu item clicked.
	// Note: This applies to /#anchor-links on same page. (Menu will automatically close on navigate away.)
	const allNavLinks = document.querySelectorAll( '.menu-item a' );
	if ( allNavLinks && allNavLinks.length ) {
		allNavLinks.forEach( ( link ) =>
			link.addEventListener( 'click', handleCloseMobileNavOnAnchorLinkClicked )
		);
	}

	// 3. Handle close mobile menu when anywhere else on the page clicked (#main) - moved to header observer.
}

export default mobileMenuToggle;
