<?php
/**
 * Basic stripped down Post Excerpt. Shows excerpt for non-singular pages. No thumbnail.
 * eg <site-url>/?s=some-text.
 *
 * @package marie
 */

$marie_class = 'marie-non-single-basic marie-card';
?>

<article id="post-<?php the_ID(); ?>" <?php post_class( $marie_class ); ?>>
	<?php the_title( sprintf( '<h3><a class="marie-no-decoration" href="%s">', esc_url( get_permalink() ) ), '</a></h3>' ); ?>
	<div class="marie-non-single-basic-content">
		<?php the_excerpt(); ?>
		<span class="screen-reader-text">
		<?php esc_html_e( 'Read More about', 'marie' ); ?> <?php echo esc_html( the_title() ); ?>
		</span>
		<a class="marie-default-btn" href="<?php echo esc_url( get_permalink() ); ?>"><?php esc_html_e( 'More', 'marie' ); ?></a>
	</div>
</article>
