<?php
/**
 * Standard Post Format. Shows excerpt for non-singular pages.
 * (See content-single.php for single posts).
 * eg <site-url>/category/uncategorised/ via index.php.
 *
 * @package marie
 */

?>

<?php

$marie_class = 'marie-non-single marie-card';

?>

<article  id="post-<?php the_ID(); ?>" <?php post_class( $marie_class ); ?>>

	<?php
	if ( has_post_thumbnail() ) {
		?>
		<div class="entry-header">
		<?php
		marie_post_thumbnail( 'medium' );
	} else {
		?>
		<div class="entry-header entry-header-empty">
			<span></span>
		<?php
	}
	?>
	<span class="entry-meta-date">
		<?php the_time( 'F jS, Y' ); ?>
	</span>
	</div><!-- close .entry-header -->
	<div class="entry-content">

		<a class="marie-no-decoration" href="<?php the_permalink(); ?>">
			<?php the_title( '<h2 class="heading-size-3">', '</h2>' ); ?>
		</a>

		<?php the_excerpt(); ?>

		<a 
		href="<?php echo esc_url( the_permalink() ); ?>" 
		class="marie-default-btn"
		>
			<span class="screen-reader-text">
				<?php esc_html_e( 'Read More about', 'marie' ); ?> <?php echo esc_html( $post->post_title ); ?>
			</span>
			<span><?php esc_html_e( 'More', 'marie' ); ?></span>
		</a>
	</div>

		<!-- </div> -->

	<footer class="entry-footer">

			<div class="entry-meta-category wrap-cat-links">
				<span class="cat-span">
					<?php esc_html_e( 'Categories', 'marie' ); ?>
				</span>
					<?php the_category( ' ' ); ?>
			</div>
			<div class="entry-meta-category wrap-tag-links">

				<?php
					echo wp_kses(
						get_the_tag_list( '<span class="tag-span">Tags</span>', '', '' ),
						array(
							'span' => array(
								'class' => array(),
							),
							'a'    => array(
								'href' => array(),
								'rel'  => array(),
							),
						),
					);
					?>
			</div>

	</footer>

</article>
