<?php
/**
 * Header for page templates.
 * Renders after the opening <main> tag but before any content.
 * TODO $use_title was phased out?
 *
 * @package marie
 */

// query_var $use_title may or may not be set.
$use_title = get_query_var( 'use_title' );


// If thumbnail shows on non singular pages, it's probably the thumbnail of the first related post result, not actually related to the current 'page'.
$show_thumbnail = false;
if ( is_singular() && has_post_thumbnail() ) {
	$show_thumbnail = true;
}

// "If a particular role appears more than once on a page, provide an ARIA label for that role"
?>
<header class="marie-page-header" id="marie-page-header" aria-label="<?php esc_attr_e( 'marie-secondary-header', 'marie' ); ?>">
	<?php
	if ( true === $show_thumbnail ) {
		the_post_thumbnail( 'thumb' );
	}
	?>
		<div class="header-img-overlay" style="background:url(<?php echo $show_thumbnail ? esc_url( get_the_post_thumbnail_url() ) : null; ?>); background-repeat:no-repeat; background-size: cover; background-position: center;"></div>
		<div class="haze-overlay"></div>

	<?php

	if ( ! empty( $use_title ) ) {
		?>
		<h1 class="heading-giant"> <?php echo wp_kses_post( $use_title ); ?></h1>
		<?php
	}

	?>

		<?php marie_breadcrumbs(); ?>

</header>
	<?php
