<?php
/**
 * MARIE Post navigation - preview of next & previous posts
 *
 * @package marie
 */

// get_next_post() returns "Post object if successful. Null if global $post is not set. Empty string if no corresponding post exists." Checked inside marie_get_post_nav_preview().

$next_post          = get_next_post();
$next_post_text     = esc_html__( 'Next post', 'marie' );
$previous_post      = get_previous_post();
$previous_post_text = esc_html__( 'Previous post', 'marie' );

if ( ! empty( $next_post ) || ! empty( $previous_post ) ) {
	?>
	<div class="marie-post-nav-wrap">
		<h2><?php esc_html_e( 'More Posts', 'marie' ); ?></h2>
		<div class="marie-non-single-wrap">

	<?php
		// Render previews (like content-post) of next and previous posts.

		echo wp_kses_post( marie_post_nav_preview( $previous_post, $previous_post_text ) );
		echo wp_kses_post( marie_post_nav_preview( $next_post, $next_post_text ) );
	?>
		</div>

	</div>
	<?php
}
?>
